For the complete documentation index, see llms.txt. This page is also available as Markdown.

Patient

get
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Query parameters
_prettybooleanOptional
_summarystringOptional
Responses
200

FHIR Resource Bundle

objectOptional

FHIR Resource Bundle

get/Patient/{id}/_history
GET /fhir/Patient/{id}/_history HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}
get
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Query parameters
_prettybooleanOptional
_summarystringOptional
Responses
200

FHIR Resource Patient

objectOptional

FHIR Resource Patient

get/Patient/{id}
GET /fhir/Patient/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}
put
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Body
objectOptional

FHIR Resource Patient

Responses
200

FHIR Resource Patient

objectOptional

FHIR Resource Patient

put/Patient/{id}
PUT /fhir/Patient/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2

{}
{}
delete
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Responses
200

FHIR Resource Patient

objectOptional

FHIR Resource Patient

delete/Patient/{id}
DELETE /fhir/Patient/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}
get
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
activestringOptional
telecomstringOptional
namestringOptional
familystringOptional
givenstringOptional
addressstringOptional
address-citystringOptional
address-statestringOptional
address-countrystringOptional
address-postalcodestringOptional
statestringOptional
multipleBirthstringOptional
birthdatestringOptional
death-datestringOptional
deceasedstringOptional
genderstringOptional
languagestringOptional
linkstringOptional
phoneticstringOptional
identifierstringOptional
general-practitionerstringOptional
general-practitioner.namestringOptional
general-practitioner.addressstringOptional
organizationstringOptional
organization.namestringOptional
organization.addressstringOptional
registration-timestringOptional
datestringOptional
data-templatestringOptional
_countnumberOptional
_lastUpdatedstringOptional
_formatstringOptional
_offsetnumberOptional
_pagenumberOptional
_stateidstringOptional
_idstringOptional
_prettystringOptional
_summarystringOptional
_totalstringOptional
Responses
200

FHIR Resource Bundle

objectOptional

FHIR Resource Bundle

get/Patient
GET /fhir/Patient HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}
post
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Body
objectOptional

FHIR Resource Patient

Responses
201

FHIR Resource Patient

objectOptional

FHIR Resource Patient

post/Patient
POST /fhir/Patient HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2

{}
{}
get
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
versionIdstringOptional
Responses
200

FHIR Resource Patient

objectOptional

FHIR Resource Patient

get/Patient/{id}/_history/{versionId}
GET /fhir/Patient/{id}/_history/{versionId} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}
post
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Body
objectOptional

FHIR Resource Parameters

Responses
200

FHIR Resource Patient

objectOptional

FHIR Resource Patient

post/Patient/$match
POST /fhir/Patient/$match HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2

{}
{}
post
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Body
objectOptional

FHIR Resource Parameters

Responses
200

FHIR Resource Patient

objectOptional

FHIR Resource Patient

post/Patient/$validate
POST /fhir/Patient/$validate HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2

{}
{}

Last updated

Was this helpful?